#include "colors.inc"
#include "woods.inc"
#include "rand.inc"
#include "transforms.inc"


global_settings {
  assumed_gamma 1.0
}
#default{texture{finish{ambient 0}}} 

camera {
        location <-750,1200,-1800>    
        look_at  <-750,00,-00>
        angle 50
}
  
  
background { color White }

light_source { <-7000,7000,-7000> color White }


#declare RadOK = 1; 
#if(RadOK > 0)
        global_settings {
            assumed_gamma 1
            max_trace_level 200
            #if (RadOK>=1)
                radiosity {
                    #if (RadOK=2)
                        count 100 error_bound 0.5
                    #else
                        count 10
                    #end
                    recursion_limit 1
                    low_error_factor .5 
                    gray_threshold 0.0  
                    minimum_reuse 0.015 
                    brightness 1
                }
            #end
            adc_bailout 0.01/2
        }
        
#end         
  
//**************************************************************************
//  This sample is designed to show how it is possible to create complex 
//  rigging configurations by combining the riggin.inc file multiple times
//**************************************************************************


#declare RigConfig = 3;

#declare Point1 = <-1600,0,0,3.0>;
#declare Point2 = <100,0,0,2.0>;
#declare Point3 = <-1400,-500,0,0.0>;
#declare R = 10;
#declare R1 = 25;
#declare R2 = 25;
#declare RS1 = 50;
#declare RS2 = 60;
#declare L1 = 300;
#declare L2 = 300;
#declare StartAngle1 = -90;
#declare EndAngle1 = 0;
#declare StartAngle2 = -70;
#declare EndAngle2 = 70;
#declare BlockRotate1 = 0;
#declare BlockRotate2 = 0;
#declare link_looseness =0.1;

#include "RiggingA.inc"


#declare PtF = vtransform(<0,0,0>,TransformF);

#declare RigConfig = 6;
#declare Point1 = <-1000,-400,0,0.0>;
#declare Point2 = <PtF.x,PtF.y,PtF.z,0.0>;

#include "RiggingA.inc"

#declare PtG = vtransform(<0,0,0>,TransformG); 

#declare RigConfig = 6;
#declare Point1 = <-1000,400,0,0.0>;
#declare Point2 = <PtG.x,PtG.y,PtG.z,0.0>;

#include "RiggingA.inc"